Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /homepages/14/d218565571/htdocs/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524
View Sidebar
Activa el menú de desarrollador en Safari

Activa el menú de desarrollador en Safari

6 octubre 2009 4:16 pm0 comments

Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /homepages/14/d218565571/htdocs/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

¿Eres desarrollador web, usas safari y echas de menos herramientas como firbug de Firefox? pues si es así debes saber que desde la versión 3.0, el navegador Safari incluye una opción para mostrar información a los desarrolladores web.

Este modo se conoce como ‘Developer Mode’ o ‘herramientas de desarrollador’, activarlas debes modificar las opciones de com.apple.Safari para añadir la linea que habilita estas opciones, esto lo puedes hacer facilmente abriendo una terminal y escribiendo la siguiente línea:

[cc lanf=’bash’]defaults write com.apple.Safari IncludeDebugMenu 1[/cc]

Para desactivarlo es tan sencillo como poner de nuevo la variable IncludeDebugMenu a 0 en una terminal:

[cc lanf=’bash’]defaults write com.apple.Safari IncludeDebugMenu 0[/cc]

Para que los cambios se muestren en Safari debes reiniciar el navegador, algunas de las ventajas que obtendrás son:

  • Diferentes agentes de usuario.
  • Consola de errores.
  • Editor de fragmentos.
  • Depurador de javascript.
  • Podrás desactivar caches.
  • Desactivar imágenes.
  • Desactivar estilos.
  • Desactivar javascript.
  • Mostra el Inspector.

Leave a reply



Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /homepages/14/d218565571/htdocs/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524

Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /homepages/14/d218565571/htdocs/wp-content/plugins/ultimate-google-analytics/ultimate_ga.php on line 524